<!DOCTYPE html>
<html>
<head>
<title> Bootstrap template- Pizza 365 project </title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">


<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>



<body onload="onPageLoading()">
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar navbar-expand-lg navbar-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item"> 
                <button class="btn" onclick = "onNavOrderDetailClick()" > Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>  
    </div>
  </div>

  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <div class="col-sm-12">
            <h1><b>Pizza 365</b></h1>
          <h3><i>Try Italy!</i></h3>
          </div>
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/coffee.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/workbench.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/sound.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Thơm ngon</h3>
                <p class="p-2">Hấp dẫn mọi giác quan</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger text-white border">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Lựa chọn khắc khe về nguyên liệu</p>
              </div>
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2">Hương vị quê hương</h3>
                <p class="p-2">Mang hương vị quê nhà đến gần hơn</p>
              </div>
              <div class="col-sm-3 p-4 bg-warning text-white border">
                <h3 class="p-2">Chuyên nghiệp</h3>
                <p class="p-2">Đội ngũ nhân viên được đào tạo chuyên nghiệp</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S(small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>20cm</b> Đường kính</li>
                      <li class="list-group-item"><b>2</b> Sườn nướng</li>
                      <li class="list-group-item"><b>200g</b> Salad</li>
                      <li class="list-group-item"><b>2</b> Nước ngọt</li>
                      <li class="list-group-item"><h1><b>150.000</b></h1> VND</li>
                    </div>
                  <div class="card-footer text-center">
                    <button id="btn-small-click" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnSmallClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M(medium)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>25cm</b> Đường kính</li>
                    <li class="list-group-item"><b>4</b> Sườn nướng</li>
                    <li class="list-group-item"><b>300g</b> Salad</li>
                    <li class="list-group-item"><b>3</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b>200.000</b></h1> VND</li>
                  </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-medium-click" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnMediumClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L(large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>30cm</b> Đường kính</li>
                      <li class="list-group-item"><b>8</b> Sườn nướng</li>
                      <li class="list-group-item"><b>500g</b> Salad</li>
                      <li class="list-group-item"><b>4</b> Nước ngọt</li>
                      <li class="list-group-item"><h1><b>250.000</b></h1> VND</li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-large-click" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnLargeClick()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row form-group"> <!-- Type of Pizza -->
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>PIZZA HAWAI</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>Size SMALL vừa khẩu phần ăn cho 2 người.</p>
                    <p><button id="btn-hawai-pizza" onclick="onBtnHawaiClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pzz2.jpeg" class="card-img-top">
                  <div class="card-body">
                    <h3>PIZZA HẢI SẢN</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>Size MEDIUM vừa khẩu phần ăn cho 4 người.</p>
                    <p><button id="btn-seafood-pizza" onclick="onBtnSeaFoodClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images//pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>PIZZA THỊT NƯỚNG</h3>
                    <p>Món ăn đặt biệt</p>
                    <p>Size LARGE vừa khẩu phần ăn cho 8 người.</p>
                    <p><button id="btn-bacon-pizza" onclick="onBtnBaconClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-12"> 
              <div class="col-sm-12">
                <label><span style="color:pink;"><b>Hãy chọn đồ uống bạn yêu thích</b></span></label>
              </div>
              <div class="col-sm-12">
                <select id="drink-select" class="form-control">
                    <option value="not-selected-drink">Chọn đồ uống</option>
                </select>
              </div>
              
              </div>
            </div>
          </div>
        
          <div id="contact" class="row">
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
            </div>
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <label for="fullname">Họ và tên</label>
                    <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input type="text" class="form-control" id="inp-email" placeholder="Email">
                  </div>
                  <div class="form-group">
                    <label for="dien-thoai">Điện thoại</label>
                    <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại">
                  </div>
                  <div class="form-group">
                    <label for="dia-chi">Địa chỉ</label>
                    <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ">
                  </div>
                  <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                  </div>
                  <div class="form-group">
                    <label for="message">Mã giảm giá</label>
                    <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                  </div>
                  <button type="button" class="btn btn-success w-100 form-group" id="btn-order-checking" onclick="onBtnCheckOrder()">Kiểm tra đơn</button>
                </div>
                
                <div style="display:none" class="container bg bg-info jumbotron" id="div-container-order">
                  <div class=" p-3 text-white " id="div-order-info">
                  </div>
                  <button type="button" class="btn btn-warning text-dark w-100 form-group " id="btn-send-order" onclick="onBtnGuiOrder()">Gửi đơn</button>
                </div>
                
                <div id="thank_you" class="container bg bg-warning jumbotron form-group" style="display: none;">
                  <div class="text-center">
                    <h4><b>Cảm ơn bạn đã đặt hàng tại Pizza 365 !!!</b></h4>
                  </div>
                  
                  <div  class="text-center form-group" >
                    <div>
                      <label class="col-sm-4">Mã đơn hàng:</label>
                    </div>
                    <div>
                      <input id="ma_don_hang" class="col-sm-3 form-group">
                    </div>
                    
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>
  
<script>
"use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 

  //combo pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";
  const gPIZZA_HAWAI = "Hawai";
  const gPIZZA_SEAFOOD = "Seafood";
  const gPIZZA_BACON = "Bacon";
  const gBASE_URL_DRINK = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  const gBASE_URL_VOUCHER = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";
  const gBASE_URL_ORDER = "http://203.171.20.210:8080/devcamp-pizza365/orders";
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201;

  var vId = "";
  var vOrderCode = "";

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  //add event for Order Detail Button 
  function onNavOrderDetailClick () {
    
     
    //add query string
    const vUSER_DETAIL = "./orderDetail.html"
    var vUrlSiteToOpen = vUSER_DETAIL + "?" + 
    "id=" + vId + 
    "&orderCode=" + vOrderCode;
    window.location.href = vUrlSiteToOpen;
  }

/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onPageLoading(){
    loadDataDrinkList();
  }
  function getMenuCombo(paramMenu, paramDiameter, paramBakedRib, paramSalad, paramDrink, paramPrice){
    //create the menu object
    var vMenuComboObject = {
        menuName: paramMenu,
        diameter: paramDiameter,
        bakedRib: paramBakedRib,
        salad: paramSalad,
        drink: paramDrink,
        priceVND: paramPrice,

        displayMenuConsole(){
          console.log("Combo: " + vMenuComboObject.menuName);
          console.log("Diameter: " + vMenuComboObject.diameter);
          console.log("Baked-Rib: " + vMenuComboObject.bakedRib);
          console.log("Salad: " + vMenuComboObject.salad);
          console.log("Drink: " + vMenuComboObject.drink);
          console.log("Price: " + vMenuComboObject.priceVND);
        }
    }
    return vMenuComboObject;
  }
  function onBtnSmallClick(){
      changeMenuButtonColor(gCOMBO_SMALL);
    }
  function onBtnMediumClick(){
      changeMenuButtonColor(gCOMBO_MEDIUM);
    }
  function onBtnLargeClick(){
    changeMenuButtonColor(gCOMBO_LARGE);
  }


  function onBtnHawaiClick(){
        changePizzaButtonColor(gPIZZA_HAWAI);
  }
  function onBtnSeaFoodClick(){
        changePizzaButtonColor(gPIZZA_SEAFOOD);
  }
  function onBtnBaconClick(){
        changePizzaButtonColor(gPIZZA_BACON);
  }


  function onBtnCheckOrder(){
    var vOrderInfo = {
        selectedMenu: "",
        pizza: "",
        drinkCode: "",
        fullName: "",
        email: "",
        phone: "",
        address: "",
        message: "",
        voucher: "",
        percenDiscount: "",
        priceActualVND(){
          return (1 - this.percenDiscount/100) * vTongGia
        }
    }
       
    {
        var vSmallComboButton = document.getElementById("btn-small-click");
        var vMediumComboButton = document.getElementById("btn-medium-click");
        var vLargeComboButton = document.getElementById("btn-large-click");

        var vSmallData = vSmallComboButton.getAttribute("data-is-selected-menu");
        var vSmallData = vMediumComboButton.getAttribute("data-is-selected-menu");
        var vLargeData = vLargeComboButton.getAttribute("data-is-selected-menu");

        if ( vSmallData == "Y"){
            vOrderInfo.selectedMenu = "Small";
        }
        if ( vSmallData == "Y"){
            vOrderInfo.selectedMenu = "Medium";
        }
        if ( vLargeData == "Y"){
            vOrderInfo.selectedMenu = "Large";
        }
        if (vSmallData == "N" && vSmallData == "N" && vLargeData == "N"){
            alert("Bạn chưa chọn combo !!!");
            return false;
        }

        var vBtnHawaiPizza = document.getElementById("btn-hawai-pizza");
        var vBtnSeaFoodPizza = document.getElementById("btn-seafood-pizza");
        var vBtnBaconPizza = document.getElementById("btn-bacon-pizza");

        var vLargeData = vBtnHawaiPizza.dataset.isSelectedPizza;
        var vSeaFoodData = vBtnSeaFoodPizza.dataset.isSelectedPizza;
        var vBaconData = vBtnBaconPizza.dataset.isSelectedPizza;

        if ( vLargeData == "Y"){
            vOrderInfo.pizza = "Hawai Pizza";
        }
        if ( vSeaFoodData == "Y"){
            vOrderInfo.pizza = "SeaFood Pizza";
        }
        if ( vBaconData == "Y"){
            vOrderInfo.pizza = "Bacon Pizza";
        }
        if (vLargeData == "N" && vSeaFoodData == "N" && vBaconData == "N"){
            alert("Bạn chưa chọn pizza !!!");
            return false;
        }
      }
    
    
    readDataWeb(vOrderInfo);
    var vValidResult = validateDataWeb(vOrderInfo);
    if (vValidResult == true){
      var vDivContainer = document.getElementById("div-container-order");
          vDivContainer.style.display = "block";
      var vDivInputInfo = document.getElementById("div-order-info")
      var vSelectedMenu = getMenuCombo(null, null, null, null, null, null)  
      var vTongGia = "";

      if ( vSmallData == "Y"){
          vSelectedMenu = getMenuCombo("Small", 20, 2, 200, 2, 150000);  
          vTongGia = vSelectedMenu.priceVND;

          vDivInputInfo.innerHTML = "Họ và tên: " + vOrderInfo.fullName;
          vDivInputInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivInputInfo.innerHTML += "<br/>Số điện thoại: " + vOrderInfo.phone;
          vDivInputInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.address;
          vDivInputInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.message;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";

          vDivInputInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivInputInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.diameter;
          vDivInputInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.bakedRib;
          vDivInputInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.salad;
          vDivInputInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";
          
          vDivInputInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.pizza;
          vDivInputInfo.innerHTML += "<br/>Loại nước uống: " + vOrderInfo.drinkCode;
          vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivInputInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.priceVND;
          
          if (vOrderInfo.voucher != ""){
            var vVoucherId = getVoucherId();
            if (vVoucherId.maVoucher == vOrderInfo.voucher){
              vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
              vOrderInfo.percenDiscount = vVoucherId.phanTramGiamGia;
            }
            if (vVoucherId == 0){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
                alert("Voucher "+ vOrderInfo.voucher + " này không có" );
            }
            }
            if (vOrderInfo.voucher == ""){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
            }
            vDivInputInfo.innerHTML += "<br/>Giảm giá (%): " + vOrderInfo.percenDiscount;
            vDivInputInfo.innerHTML += "<br/>Thành tiền: " + vOrderInfo.priceActualVND();

      }
      if ( vSmallData == "Y"){
          vSelectedMenu = getMenuCombo("Medium", 25, 4, 300, 3, 200000);  
          vTongGia = vSelectedMenu.priceVND;

          vDivInputInfo.innerHTML = "Họ và tên: " + vOrderInfo.fullName;
          vDivInputInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivInputInfo.innerHTML += "<br/>Số điện thoại: " + vOrderInfo.phone;
          vDivInputInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.address;
          vDivInputInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.message;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";

          vDivInputInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivInputInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.diameter;
          vDivInputInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.bakedRib;
          vDivInputInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.salad;
          vDivInputInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";
          
          vDivInputInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.pizza;
          vDivInputInfo.innerHTML += "<br/>Loại nước uống: " + vOrderInfo.drinkCode;
          vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivInputInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.priceVND;
          
          
          if (vOrderInfo.voucher != ""){
            var vVoucherId = getVoucherId();
            if (vVoucherId.maVoucher == vOrderInfo.voucher){
              vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
              vOrderInfo.percenDiscount = vVoucherId.phanTramGiamGia;
            }
            if (vVoucherId == 0){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
                alert("Voucher "+ vOrderInfo.voucher + " này không có" );
            }
          }
          if (vOrderInfo.voucher == ""){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
          }
          vDivInputInfo.innerHTML += "<br/>Giảm giá (%): " + vOrderInfo.percenDiscount;
          vDivInputInfo.innerHTML += "<br/>Thành tiền: " + vOrderInfo.priceActualVND();
          
      }
      if ( vLargeData == "Y"){
          vSelectedMenu = getMenuCombo("Large", 30, 8, 500, 4, 250000);  
          vTongGia = vSelectedMenu.priceVND;

          vDivInputInfo.innerHTML = "Họ và tên: " + vOrderInfo.fullName;
          vDivInputInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivInputInfo.innerHTML += "<br/>Số điện thoại: " + vOrderInfo.phone;
          vDivInputInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.address;
          vDivInputInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.message;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";

          vDivInputInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivInputInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.diameter;
          vDivInputInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.bakedRib;
          vDivInputInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.salad;
          vDivInputInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";
          
          vDivInputInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.pizza;
          vDivInputInfo.innerHTML += "<br/>Loại nước uống: " + vOrderInfo.drinkCode;
          vDivInputInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.priceVND;
          
          if (vOrderInfo.voucher != ""){
            var vVoucherId = getVoucherId();
            if (vVoucherId.maVoucher == vOrderInfo.voucher){
              vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
              vOrderInfo.percenDiscount = vVoucherId.phanTramGiamGia;
            }
            if (vVoucherId == 0){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
                alert("Voucher "+ vOrderInfo.voucher + " này không có" );
            }
            }
            if (vOrderInfo.voucher == ""){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
            }
            vDivInputInfo.innerHTML += "<br/>Giảm giá (%): " + vOrderInfo.percenDiscount;
            vDivInputInfo.innerHTML += "<br/>Thành tiền: " + vOrderInfo.priceActualVND();
      }
    }
    return [vOrderInfo, vSelectedMenu];
  }
  
  function readDataWeb(paramData){
      //reach html elements
      var vFullNameElement = document.getElementById("inp-fullname").value;
      var vEmailElement = document.getElementById("inp-email").value;
      var vPhoneElement = document.getElementById("inp-phone").value;
      var vAddressElement = document.getElementById("inp-address").value;
      var vMessageElement = document.getElementById("inp-message").value;
      var vVoucherElement = document.getElementById("inp-voucher-id").value;

      var vDrinkElement = document.getElementById("drink-select")
      var vDrinkOption = vDrinkElement.options[vDrinkElement.selectedIndex].text;
            
      paramData.fullName = vFullNameElement;
      paramData.email = vEmailElement;
      paramData.phone = vPhoneElement;
      paramData.address = vAddressElement;
      paramData.message = vMessageElement;
      paramData.voucher = vVoucherElement;
      paramData.drinkCode = vDrinkOption;

    }
  
  function validateDataWeb(paramData){
    if (paramData.drinkCode == "Chọn đồ uống"){
        alert("chưa chọn đồ uống !!!");
        return false;
    }
    if (paramData.fullName == ""){
        alert("chưa điền họ tên !!!");
        return false;
    }
    if (validateEmail(paramData.email) == false){
        return false;
    }
    if (paramData.phone == ""){
        alert("chưa điền số điện thoại !!!");
        return false;
    }
    if (isNaN(paramData.phone) == true){
        alert("số điện thoại phải điền dạng chữ số !!!");
        return false;
    }
    if (paramData.address == ""){
        alert("chưa điền địa chỉ !!!");
        return false;
    }
    return true;
  }

  function validateEmail(paramEmail){
      if (paramEmail == ""){
        alert("chưa điền email !!!");
        return false
      }
      if (paramEmail.indexOf("@") === -1){
        alert("email phải có '@' !!!");
        return false;
      }
      if (paramEmail.startsWith("@") === true){
        alert("email phải có ký tự trước '@' !!!");
        return false;
      }
      if (paramEmail.endsWith("@") === true){
        alert("email phải có ký tự sau '@' !!!");
        return false;
      }
      if (paramEmail.indexOf(".") === -1){
        alert("email phải có dấu chấm !!!");
        return false;
      }
      return true
    }


  function onBtnGuiOrder(){
    var vOrderSendObj = {
        kichCo: "",
        duongKinh: "",
        suon: "",
        salad: "",
        loaiPizza: "",
        idVourcher: "",
        idLoaiNuocUong: "",
        soLuongNuoc: "",
        hoTen: "",
        thanhTien: "",
        email: "",
        soDienThoai: "",
        diaChi: "",
        loiNhan: "",
      }   
    

    var vOrderChecking = onBtnCheckOrder();
    
    var vMenuName = vOrderChecking[0].selectedMenu ;
    var vPizza = vOrderChecking[0].pizza ;
    var vDrinkCode = vOrderChecking[0].drinkCode ;
    var vFullName = vOrderChecking[0].fullName ;
    var vAmount = vOrderChecking[0].priceActualVND() ;
    var vEmail = vOrderChecking[0].email ;
    var vPhone = vOrderChecking[0].phone ;
    var vAddress = vOrderChecking[0].address ;
    var vMessage = vOrderChecking[0].message ;
    var vIdVoucher = vOrderChecking[0].voucher ;
    
    vOrderSendObj.kichCo = vMenuName;
    vOrderSendObj.loaiPizza = vPizza ;
    vOrderSendObj.idLoaiNuocUong = vDrinkCode ;
    vOrderSendObj.hoTen = vFullName ;
    vOrderSendObj.thanhTien = vAmount ;
    vOrderSendObj.email = vEmail ;
    vOrderSendObj.soDienThoai = vPhone ;
    vOrderSendObj.diaChi = vAddress ;
    vOrderSendObj.loiNhan = vMessage ;
    vOrderSendObj.idVourcher = vIdVoucher ;

    var vMenuCombo = onBtnCheckOrder();
      
    var vDiameter = vMenuCombo[1].diameter ;
    var vBakedRib = vMenuCombo[1].bakedRib ;
    var vSalad = vMenuCombo[1].salad ;
    var vDrinkNumber = vMenuCombo[1].drink ;

    vOrderSendObj.duongKinh = vDiameter ;
    vOrderSendObj.suon = vBakedRib ;
    vOrderSendObj.salad = vSalad ;
    vOrderSendObj.soLuongNuoc = vDrinkNumber ;
    
    var vXmlHtppOrder = new XMLHttpRequest();
    callApiCreateOrder(vXmlHtppOrder, vOrderSendObj);
    vXmlHtppOrder.onreadystatechange = function(){
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS){
          var vCreateOrder = JSON.parse(vXmlHtppOrder.responseText);
          vId = vCreateOrder.id;
          vOrderCode = vCreateOrder.orderCode;
          showDissplay(vOrderCode);
        }
      }
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function changeMenuButtonColor(paramMenuColor){
    var vSmallButton = document.getElementById("btn-small-click");
    var vMediumButton = document.getElementById("btn-medium-click");
    var vLargeButton = document.getElementById("btn-large-click");

    if (paramMenuColor === gCOMBO_SMALL){
      vSmallButton.className = "btn btn-warning"
      vSmallButton.setAttribute("data-is-selected-menu", "Y");
      
      vMediumButton.className = "btn btn-success"
      vMediumButton.setAttribute("data-is-selected-menu", "N")
      
      vLargeButton.className = "btn btn-success"
      vLargeButton.setAttribute("data-is-selected-menu", "N")
    }
    else if (paramMenuColor === gCOMBO_MEDIUM){
      vSmallButton.className = "btn btn-success"
      vSmallButton.setAttribute("data-is-selected-menu", "N");

      vMediumButton.className = "btn btn-warning"
      vMediumButton.setAttribute("data-is-selected-menu", "Y")

      vLargeButton.className = "btn btn-success"
      vLargeButton.setAttribute("data-is-selected-menu", "N")
    }
    else if (paramMenuColor === gCOMBO_LARGE){
      vSmallButton.className = "btn btn-success"
      vSmallButton.setAttribute("data-is-selected-menu", "N");

      vMediumButton.className = "btn btn-success"
      vMediumButton.setAttribute("data-is-selected-menu", "N")

      vLargeButton.className = "btn btn-warning"
      vLargeButton.setAttribute("data-is-selected-menu", "Y")
    }
  }

  function changePizzaButtonColor(paramPizzaColor){
    var vHawaiButton = document.getElementById("btn-hawai-pizza");
    var vSeaFoodButton = document.getElementById("btn-seafood-pizza");
    var vBaconButton = document.getElementById("btn-bacon-pizza");

    if (paramPizzaColor == gPIZZA_HAWAI){
      vHawaiButton.className = "btn btn-warning"
      vHawaiButton.setAttribute("data-is-selected-pizza", "Y");
      
      vSeaFoodButton.className = "btn btn-success"
      vSeaFoodButton.setAttribute("data-is-selected-pizza", "N")
      
      vBaconButton.className = "btn btn-success"
      vBaconButton.setAttribute("data-is-selected-pizza", "N")
    }
    else if (paramPizzaColor == gPIZZA_SEAFOOD){
      vHawaiButton.className = "btn btn-success"
      vHawaiButton.setAttribute("data-is-selected-pizza", "N");

      vSeaFoodButton.className = "btn btn-warning"
      vSeaFoodButton.setAttribute("data-is-selected-pizza", "Y")

      vBaconButton.className = "btn btn-success"
      vBaconButton.setAttribute("data-is-selected-pizza", "N")
    }
    else if (paramPizzaColor == gPIZZA_BACON){
      vHawaiButton.className = "btn btn-success"
      vHawaiButton.setAttribute("data-is-selected-pizza", "N");

      vSeaFoodButton.className = "btn btn-success"
      vSeaFoodButton.setAttribute("data-is-selected-pizza", "N")

      vBaconButton.className = "btn btn-warning"
      vBaconButton.setAttribute("data-is-selected-pizza", "Y")
    }
  }
  function loadDataDrinkList(paramDrink){
    var vXmlHttpDrink = new XMLHttpRequest();
        callApiDrinkList(vXmlHttpDrink);
        vXmlHttpDrink.onreadystatechange = function(){
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK){
              var vDrinkList = JSON.parse(this.responseText);
              for (var index = 0; index<vDrinkList.length; index++){
               var vSelectElement = document.getElementById("drink-select");
                  var vDrinkOptionElement = document.createElement("option");
                      vDrinkOptionElement.value = vDrinkList[index].maNuocUong;
                      vDrinkOptionElement.text = vDrinkList[index].tenNuocUong;
                  vSelectElement.appendChild(vDrinkOptionElement);
        
                  };  
            };
        }; 
    }    

  function getVoucherId(){
    var vVoucherIdElement = document.getElementById("inp-voucher-id").value;
    
    var vXmlHttpVoucher = new XMLHttpRequest();
    vXmlHttpVoucher.open("GET", gBASE_URL_VOUCHER + "/" + vVoucherIdElement , false);
    vXmlHttpVoucher.send(null);
    var vStatusCode = vXmlHttpVoucher.status;
        if (vStatusCode == gREQUEST_STATUS_OK){
            console.log("%cRESPONSE-TEXT", "color:orange", vXmlHttpVoucher.responseText);
            var vJsonParsing = JSON.parse(vXmlHttpVoucher.responseText);
            return vJsonParsing;
        }
        else{
            return 0;
        }
  }

  function showDissplay(paramData){
      var vId = paramData.id;
      var vOrderCode = paramData.orderCode;
      var vDivContainer = document.getElementById("div-container-order");
          vDivContainer.style.display = "none";

      var vDivContainerOrderCode = document.getElementById("thank_you");
          vDivContainerOrderCode.style.display = "block";

      var vDisplayOrderCode = document.getElementById("ma_don_hang");
          vDisplayOrderCode.value = paramData;
  }
  function callApiDrinkList(paramDrink){
      paramDrink.open("GET", gBASE_URL_DRINK, true);
      paramDrink.send();
  }

  function callApiCreateOrder(paramXmlHttp, paramOrder ){
    paramXmlHttp.open("POST", gBASE_URL_ORDER, true);
    paramXmlHttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramXmlHttp.send(JSON.stringify(paramOrder));
  }

</script>

</html>